import java.net.*;
import javax.swing.JOptionPane;


public class Cliente {

  static Conexao c;
  static Socket socket;
 
  public Cliente()
  {
    try {
      socket = new Socket("localhost",9600);
    }
    catch (Exception e)
    {
      System.out.println("Nao consegui resolver o host...");
    }
  }
  
public static void main(String args[])
{
	String msg, resposta;
    
    int i = 0, opcao;

	new Cliente();
        
    opcao = Integer.parseInt(JOptionPane.showInputDialog(null,"Entre com a opcao desejada:\n1 - Traducao\n2 - Sair","", JOptionPane.WARNING_MESSAGE));
    
    while(opcao != 2)
    {
		msg = JOptionPane.showInputDialog(null,"Palavra: ","", JOptionPane.WARNING_MESSAGE);
		
		c.send(socket,msg);
		
		resposta = c.receive(socket);
		
		if(resposta.compareTo("#") != 0 ) // a palavra existe no dicionario
			JOptionPane.showMessageDialog(null,"Traducao da palavra "+msg+" : "+resposta);
		else
			JOptionPane.showMessageDialog(null,"A palavra "+msg+" nao consta no dicionario");
			
		opcao = Integer.parseInt(JOptionPane.showInputDialog(null,"Entre com a opcao desejada:\n1 - Traducao\n2 - Sair","", JOptionPane.WARNING_MESSAGE));
	
    }
    
    c.send(socket,"$");
    
    try {
    	socket.close();
    }
    catch (Exception e) {
       System.out.println("Nao desconectei..."+e);
    }
    System.exit(0);
     
  }
}
